Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 479830 - %post error when installing rhnmd-5.1.2-1 on RHEL-5
Summary: %post error when installing rhnmd-5.1.2-1 on RHEL-5
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2009-01-13 14:09 UTC by Milan Zázrivec
Modified: 2009-01-22 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:40 UTC


Attachments (Terms of Use)

Description Milan Zázrivec 2009-01-13 14:09:47 UTC
Description of problem:
* RHEL-5 client system attempting to install rhnmd-5.1.2-1:

# rpm -i rhnmd-5.1.2-1.el5.i386.rpm 
useradd: invalid numeric argument 'apache'
error: %pre(rhnmd-5.1.2-1.el5.i386) scriptlet failed, exit status 3
error:   install: %pre scriptlet failed (2), skipping rhnmd-5.1.2-1.el5
# rpm -qp --scripts rhnmd-5.1.2-1.el5.i386.rpm 
preinstall scriptlet (using /bin/sh):
if [ $1 -eq 1 ] ; then
  getent group rhnmd >/dev/null || groupadd -r rhnmd
  getent passwd rhnmd >/dev/null || \
  useradd -r -g rhnmd -G apache -d /var/lib/rhnmd -s /sbin/tcsh -c "NOCpulse user" rhnmd
fi
# getent group apache
# echo $?
2


Version-Release number of selected component (if applicable):
rhnmd-5.1.2-1

Comment 1 Milan Zázrivec 2009-01-13 14:42:15 UTC
Fix contained in f6095e4c8a125c6930c101054a51ff76f51fb53b
New package version: rhnmd-5.1.3-1

Comment 2 Milan Zázrivec 2009-01-13 15:49:00 UTC
Actually the correct package version is rhnmd-5.1.4-1 and additional
commits are:

b9e2a9e1153769f246b316d10b07b10f2226fc3c
80ff86a3034f3ca1d56645b1fc56ec42d2a19c07

Comment 3 Miroslav Suchý 2009-01-15 13:21:34 UTC
[root@dhcp77-189 ~]# yum install rhnmd
Loading "installonlyn" plugin
Loading "rhnplugin" plugin
Setting up Install Process
Setting up repositories
rhel-i386-server-5        100% |=========================| 1.4 kB    00:00
spacewalk                 100% |=========================| 1.9 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================|  80 kB    00:00
################################################## 251/251
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for rhnmd to pack into transaction set.
rhnmd-5.1.4-1.el5.i386.rp 100% |=========================| 4.9 kB    00:00
---> Package rhnmd.i386 0:5.1.4-1.el5 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 rhnmd                   i386       5.1.4-1.el5      spacewalk         8.2 k

Transaction Summary
=============================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 8.2 k
Is this ok [y/N]: y
Downloading Packages:
(1/1): rhnmd-5.1.4-1.el5. 100% |=========================| 8.2 kB    00:00
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: rhnmd                        ######################### [1/1]

Installed: rhnmd.i386 0:5.1.4-1.el5
Complete!

Comment 4 Miroslav Suchý 2009-01-15 13:23:12 UTC
VERIFIED


Note You need to log in before you can comment on or make changes to this bug.